Subject: Re: bug#43374: 26.1: read-directory-name not respecting MUST-MATCH arg

From: Boruch Baum <[email-masked]>
Date: Sun, 13 Sep 2020 10:44:44 -0400

On 2020-09-13 15:36, Lars Ingebrigtsen wrote:
> Boruch Baum <[email-masked]> writes:
>
> > based upon the function's docstring, I was expecting the following to
> > return nil for a non-existing directory. Instead, it returns a string of
> > the non-existing directory.
> >
> >    (read-directory-name "Directory: " nil nil t nil)
>
> I'm not sure what you mean here.  If I eval that form and type "foo",
> then Emacs just beeps at me and says "[No match]".

That's not the result I get. I get a string matching my input. No error
indication. I'm using version 26.1 (debian), though, so there's always
the chance this was reported and fixed for version 27?

--
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0